/*
 * $Id: lcd_clear.c,v 1.2 2002/10/03 01:22:16 dwalters Exp $
 *
 * Copyright (C) 2001 Martin R. Calsyn
 *
 * This library is distributed under the terms of the GNU Lesser General
 * Public License (LGPL).  You should have received a copy of the
 * license along with this library (LGPL.txt); if not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 */

#include "68332/mrm/lcd.h"
#include "_lcd.h"

/*
 * Function: lcd_clear
 * Description: clear (erase) the lcd display
 * Parameters: none
 * Returns: void
 */
void lcd_clear()
{
  lcd_write_cmd(LCDCMD_CLEAR);
  g_LCDState.ix = g_LCDState.iy = 0;
  memset(&g_LCDState.buffer[0][0],' ',sizeof(g_LCDState.buffer));
}

