/*
 * $Id: regs.h,v 1.2 2002/10/03 01:22:16 dwalters Exp $
 *
 * Copyright (C) 2001 Mike Panetta 
 *
 * This library is distributed under the terms of the GNU Lesser General
 * Public License (LGPL).  You should have received a copy of the
 * license along with this library (LGPL.txt); if not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 */

#ifndef __REGS_H
#define __REGS_H

/* This file defines some macros used to access
 * the CPU32 registers.
 */  
/* These do not work for now...  I wanna find out how to do this.
register int __d0 __asm__ ("%d0");
register int __d1 __asm__ ("%d1");
register int __d2 __asm__ ("%d2");
register int __d3 __asm__ ("%d3");
register int __d4 __asm__ ("%d4");
register int __d5 __asm__ ("%d5");
register int __d6 __asm__ ("%d6");
register int __d7 __asm__ ("%d7");

register int __a0 __asm__ ("%a0");
register int __a1 __asm__ ("%a1");
register int __a2 __asm__ ("%a2");
register int __a3 __asm__ ("%a3");
register int __a4 __asm__ ("%a4");
register int __a5 __asm__ ("%a5");
register int __a6 __asm__ ("%a6");
register int __a7 __asm__ ("%a7");
*/

extern int __usp __asm__("%usp");
extern int __ssp __asm__("%ssp");

#define GET_VBR() \
	({ unsigned int __vbr; \
	   asm ("move.c %%vbr, %0;" : "=d" (__vbr)); \
	   __vbr; })

#define SET_VBR(x) \
	({ unsigned int __vbr = (x); \
	   asm ("move.c %0, %%vbr;" : /* no inputs */ : "d" (__vbr)); \
	})

#endif
